Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593044 - when suspending with turned off wlan/bluetooth, they can't be activated after return
Summary: when suspending with turned off wlan/bluetooth, they can't be activated after...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 17:28 UTC by dump1
Modified: 2010-12-03 14:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:37:03 UTC


Attachments (Terms of Use)

Description dump1 2010-05-17 17:28:31 UTC
Description of problem:

Wlan and bluetooth are working BEFORE and AFTER entering any suspend-mode, i use the function-key to turn them on or off. BUT, if i enter suspend-mode with turned off devices, they can't be activated after returninig from suspend mode. This problem only occurs when booting with "kernel-PAE-2.6.32.11-99.fc12.i686", with the previous kernel versions, i never encoutered such a behavior.


Version-Release number of selected component (if applicable):

kernel-PAE-2.6.32.11-99.fc12.i686
NetworkManager-0.8.0-6.git20100408.fc12.i686 (just for information)


How reproducible:


Steps to Reproduce:
1. switch off wlan (and/or bluetooth) with function-key
2. enter supend-mode (standby or hibernate) without turning them back again 
3. power-on computer and try to activated your wlan (and/or bluetooth) device
  
Actual results:

Devices can only be activated after a fresh linux-reboot. They even can't be activated, if the computer returns from a linux-suspend to a new Windows session (in a multiboot scenario)


Expected results:

Devices should be activated 


Additional info:

[root@sampc1 ~]# lsmod
Module                  Size  Used by
aes_i586                7126  1 
aes_generic            26436  1 aes_i586
rfcomm                 54645  4 
sco                    13584  2 
bridge                 39353  0 
stp                     1399  1 bridge
llc                     3671  2 bridge,stp
bnep                   11978  2 
l2cap                  38867  16 rfcomm,bnep
btusb                  12384  2 
bluetooth              74122  9 rfcomm,sco,bnep,l2cap,btusb
fuse                   48375  2 
sunrpc                160138  1 
cpufreq_ondemand        6993  2 
acpi_cpufreq            6535  0 
nf_conntrack_netbios_ns     1110  0 
ip6t_REJECT             3394  2 
nf_conntrack_ipv6      14859  8 
ip6table_filter         2227  1 
ip6_tables              9409  1 ip6table_filter
ipv6                  223810  40 ip6t_REJECT,nf_conntrack_ipv6
uinput                  5244  0 
snd_hda_codec_analog    52924  1 
snd_hda_intel          19931  2 
snd_hda_codec          59921  2 snd_hda_codec_analog,snd_hda_intel
uvcvideo               47568  0 
snd_hwdep               4868  1 snd_hda_codec
arc4                    1073  2 
nvidia               9922723  30 
snd_seq                42811  0 
snd_seq_device          5031  1 snd_seq
snd_pcm                60932  2 snd_hda_intel,snd_hda_codec
ecb                     1575  2 
snd_timer              15541  2 snd_seq,snd_pcm
videodev               28423  1 uvcvideo
iwlagn                117850  0 
snd                    46576  12 snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
sdhci_pci               5200  0 
sdhci                  15396  1 sdhci_pci
v4l1_compat            11370  2 uvcvideo,videodev
iwlcore               171469  1 iwlagn
mmc_core               51268  1 sdhci
mac80211              168950  2 iwlagn,iwlcore
soundcore               4863  1 snd
i2c_core               21732  2 nvidia,videodev
ppdev                   6529  0 
parport_pc             17613  0 
e1000e                104196  0 
snd_page_alloc          6125  2 snd_hda_intel,snd_pcm
ricoh_mmc               2662  0 
parport                27256  2 ppdev,parport_pc
serio_raw               3574  0 
hp_accel               10920  0 
hp_wmi                  3820  0 
wmi                     5620  1 hp_wmi
lis3lv02d               5200  1 hp_accel
cfg80211               97861  3 iwlagn,iwlcore,mac80211
tpm_infineon            6772  0 
joydev                  7408  0 
iTCO_wdt                7862  0 
input_polldev           2132  1 lis3lv02d
rfkill                 13401  5 bluetooth,hp_wmi,cfg80211
iTCO_vendor_support     2023  1 iTCO_wdt
pata_pcmcia             7324  1 
dm_multipath           12324  0 
video                  16522  0 
output                  1605  1 video
usb_storage            34418  0 
firewire_ohci          17552  0 
firewire_core          36496  1 firewire_ohci
crc_itu_t               1223  1 firewire_core
yenta_socket           19501  3 
rsrc_nonstatic          8282  1 yenta_socket


[root@sampc1 ~]# lspci -v
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, fast devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=0a <?>

00:01.0 PCI bridge: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port (rev 07) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00007000-00007fff
	Memory behind bridge: d0000000-d2ffffff
	Prefetchable memory behind bridge: 00000000c0000000-00000000cfffffff
	Capabilities: [88] Subsystem: Hewlett-Packard Company Device 30e7
	Capabilities: [80] Power Management version 3
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [a0] Express Root Port (Slot+), MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [140] Root Complex Link
	Kernel driver in use: pcieport

00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, fast devsel, latency 0, IRQ 30
	Memory at db300000 (32-bit, non-prefetchable) [size=128K]
	Memory at db324000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at 80e0 [size=32]
	Capabilities: [c8] Power Management version 2
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] PCI Advanced Features
	Kernel driver in use: e1000e
	Kernel modules: e1000e

00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 16
	I/O ports at 80c0 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 17
	I/O ports at 80a0 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 18
	I/O ports at 8080 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 19
	Memory at db325c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Memory at db320000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [130] Root Complex Link
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: db200000-db2fffff
	Prefetchable memory behind bridge: 00000000db400000-00000000db5fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Gammagraphx, Inc. (or missing ID) Device 0000
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport

00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: db100000-db1fffff
	Prefetchable memory behind bridge: 00000000db600000-00000000db7fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Gammagraphx, Inc. (or missing ID) Device 0000
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport

00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=04, subordinate=44, sec-latency=0
	I/O behind bridge: 00005000-00006fff
	Memory behind bridge: d7100000-db0fffff
	Prefetchable memory behind bridge: 00000000db800000-00000000db9fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Gammagraphx, Inc. (or missing ID) Device 0000
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport

00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=45, subordinate=85, sec-latency=0
	I/O behind bridge: 00003000-00004fff
	Memory behind bridge: d3100000-d70fffff
	Prefetchable memory behind bridge: 00000000dba00000-00000000dbbfffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Gammagraphx, Inc. (or missing ID) Device 0000
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport

00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 20
	I/O ports at 8060 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 22
	I/O ports at 8040 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 18
	I/O ports at 8020 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 20
	Memory at db325800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93) (prog-if 01 [Subtractive decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=86, subordinate=8a, sec-latency=32
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d3000000-d30fffff
	Prefetchable memory behind bridge: 00000000dc000000-00000000dfffffff
	Capabilities: [50] Subsystem: Gammagraphx, Inc. (or missing ID) Device 0000

00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>
	Kernel modules: iTCO_wdt

00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 29
	I/O ports at 8108 [size=8]
	I/O ports at 8114 [size=4]
	I/O ports at 8100 [size=8]
	I/O ports at 8110 [size=4]
	I/O ports at 8000 [size=32]
	Memory at db325000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [80] MSI: Enable+ Count=1/16 Maskable- 64bit-
	Capabilities: [70] Power Management version 3
	Capabilities: [a8] SATA HBA v1.0
	Capabilities: [b0] PCI Advanced Features
	Kernel driver in use: ahci

01:00.0 VGA compatible controller: nVidia Corporation Quadro FX 770M (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at d2000000 (32-bit, non-prefetchable) [size=16M]
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at d0000000 (64-bit, non-prefetchable) [size=32M]
	I/O ports at 7000 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [60] Power Management version 3
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Kernel driver in use: nvidia
	Kernel modules: nvidia, nouveau, nvidiafb

03:00.0 Network controller: Intel Corporation Wireless WiFi Link 5300
	Subsystem: Intel Corporation Device 1011
	Flags: bus master, fast devsel, latency 0, IRQ 31
	Memory at db100000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number 00-16-ea-ff-ff-a1-a8-78
	Kernel driver in use: iwlagn
	Kernel modules: iwlagn

86:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 06) (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 64, IRQ 20
	Memory at d3001000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [dc] Power Management version 2
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

86:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 25)
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 22
	Memory at d3001b00 (32-bit, non-prefetchable) [size=256]
	Capabilities: [80] Power Management version 2
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci-pci

86:09.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 14)
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 11
	Memory at d3001a00 (32-bit, non-prefetchable) [size=256]
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ricoh-mmc
	Kernel modules: ricoh_mmc

86:09.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 14)
	Subsystem: Hewlett-Packard Company Device 30e7
	Flags: bus master, medium devsel, latency 0, IRQ 11
	Memory at d3001900 (32-bit, non-prefetchable) [size=256]
	Capabilities: [80] Power Management version 2

86:09.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev bb)
	Subsystem: Hewlett-Packard Company Device 30e7
	!!! Invalid class 0880 for header type 02
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at d3001800 (32-bit, non-prefetchable) [size=256]
	Bus: primary=86, secondary=87, subordinate=8a, sec-latency=176
	Memory window 0: dc000000-dffff000 (prefetchable)
	Memory window 1: f0000000-f3fff000
	I/O window 0: 00002000-000020ff
	I/O window 1: 00002400-000024ff
	16-bit legacy interface ports at 0001
	Kernel modules: yenta_socket

86:09.5 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel driver in use: yenta_cardbus

Comment 1 Bug Zapper 2010-11-03 14:42:46 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-12-03 14:37:03 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.